Get materials
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/materials \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/materials';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "item_xxxxxxxxxxxx",
"displayName": "<string>",
"category": "<string>",
"inputs": [
{
"name": "<string>",
"type": "Origin",
"fieldsType": "Default",
"fields": [
{
"name": "<string>",
"data": {
"publicId": "item_xxxxxxxxxxxx",
"locationPublicId": "locationListItem_xxxxxxxxxxxx",
"additional": {
"proportion": 123,
"recycleShare": 123,
"materialUnits": {
"DTex": 123
}
}
}
}
]
}
]
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Materials
Get materials
Paginated with defaults page=1, pageSize=50
GET
/
screenings
/
materials
Get materials
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/materials \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/materials';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "item_xxxxxxxxxxxx",
"displayName": "<string>",
"category": "<string>",
"inputs": [
{
"name": "<string>",
"type": "Origin",
"fieldsType": "Default",
"fields": [
{
"name": "<string>",
"data": {
"publicId": "item_xxxxxxxxxxxx",
"locationPublicId": "locationListItem_xxxxxxxxxxxx",
"additional": {
"proportion": 123,
"recycleShare": 123,
"materialUnits": {
"DTex": 123
}
}
}
}
]
}
]
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}